# $Revision: 1.13 $, $Date: 2010/09/21 19:00:12 $
# FIXME: where is tui?
Summary:	Initial system configuration utility
Summary(pl.UTF-8):	Narzędzie do początkowej konfiguracji systemu
Name:		firstboot
Version:	1.99
Release:	6
License:	GPL
Group:		Base
# https://fedorahosted.org/releases/f/i/firstboot/ (not yet)
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	8883a4e5b1eb6ddc121741b467fd3760
Patch0:		%{name}-python.patch
URL:		http://fedoraproject.org/wiki/FirstBoot
BuildRequires:	gettext-devel
Requires:	python-pygtk-gtk
Requires:	python-rhpl
Requires:	system-config-users
ExcludeArch:	s390 s390x ppc64
ExclusiveOS:	Linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The firstboot utility runs after installation. It guides the user
through a series of steps that allows for easier configuration of the
machine.

%description -l pl.UTF-8
Narzędzie firstboot uruchamia się po instalacji. Prowadzi użytkownika
poprzez serię kroków umożliwiających łatwą konfigurację maszyny.

%package tui
Summary:	A text interface for firstboot
Summary(pl.UTF-8):	Tekstowy interfejs programu firstboot
Group:		Base
Requires(preun):	/sbin/chkconfig

%description tui
firstboot-tui is a text interface for initial system configuration.

%description tui -l pl.UTF-8
firstboot-tui to tekstowy interfejs do początkowej konfiguracji
systemu.

%prep
%setup -q
%patch0 -p1
rm po/ilo.po

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_datadir}/firstboot/modules/additional_cds.py*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post tui
#/sbin/chkconfig --add firstboot

%preun tui
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del firstboot
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/firstboot
%attr(754,root,root) /etc/rc.d/init.d/firstboot
%dir %{_datadir}/firstboot
%dir %{_datadir}/firstboot/modules
%{_datadir}/firstboot/modules/*.py
%{_datadir}/firstboot/themes
%dir %{py_sitedir}/firstboot
%{py_sitedir}/firstboot/*.py[co]
%{py_sitedir}/%{name}-%{version}-py*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: firstboot.spec,v $
Revision 1.13  2010/09/21 19:00:12  glen
- release 6

Revision 1.12  2010/07/08 07:48:13  arekm
- release 5

Revision 1.11  2009/03/13 22:26:42  hawk
- release 4

Revision 1.10  2008/10/03 17:43:16  arekm
- release 3

Revision 1.9  2008/09/16 00:03:27  patrys
- R: s-c-users

Revision 1.8  2008/08/29 19:00:35  patrys
- no longer noarch
- rel 2

Revision 1.7  2008/08/29 15:27:53  qboosh
- more cleanups; where is tui?

Revision 1.6  2008/08/29 15:26:23  qboosh
- updated URL, unified files

Revision 1.5  2008/08/29 11:50:16  patrys
- 1.99

Revision 1.4  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.2  2006/06/09 20:42:34  qboosh
- pl

Revision 1.1  2006/06/05 21:45:26  glen
- for anaconda
